2.6 kernel

classic Classic list List threaded Threaded
12 messages Options
Reply | Threaded
Open this post in threaded view
|

2.6 kernel

Nick Smith-2
got no response on my other thread, so how about a simple question.
what would i have to do to upgrade to 2.6 from 2.4? is it a matter of
just downloading the vanilla-sources for sparc and going through the
config/compile process? would i have to do something special to get it
to work?

thanks

Nick

--
[hidden email] mailing list

Reply | Threaded
Open this post in threaded view
|

Re: 2.6 kernel

Nick Smith-2
nevermind, after futher searching it seems that all the 2.6 kernels
are masked. what a drag....


On 2/24/06, Nick Smith <[hidden email]> wrote:

> got no response on my other thread, so how about a simple question.
> what would i have to do to upgrade to 2.6 from 2.4? is it a matter of
> just downloading the vanilla-sources for sparc and going through the
> config/compile process? would i have to do something special to get it
> to work?
>
> thanks
>
> Nick
>


--
Linux, because I'd rather own a free OS than steal one that's not
worth paying for.

--
[hidden email] mailing list

Reply | Threaded
Open this post in threaded view
|

RE: Re: 2.6 kernel

Longman, Bill
In reply to this post by Nick Smith-2
> nevermind, after futher searching it seems that all the 2.6
> kernels are masked. what a drag....
>
>
> On 2/24/06, Nick Smith <[hidden email]> wrote:
> > got no response on my other thread, so how about a simple question.
> > what would i have to do to upgrade to 2.6 from 2.4? is it a
> matter of
> > just downloading the vanilla-sources for sparc and going
> through the
> > config/compile process? would i have to do something
> special to get it
> > to work?

That doesn't mean you can't play with it, though. Just pull it down and
compile it. It's rather frustrating, but it's good practice, no? Who doesn't
like compiling kernels on a 166MHz SPARC?

ACCEPT_KEYWORDS="~sparc" emerge -f --oneshot gentoo-sources

should get you the latest 2.6.15-r5. Tweak command line as needed for other
versions.
--
[hidden email] mailing list

Reply | Threaded
Open this post in threaded view
|

Re: Re: 2.6 kernel

Mike Owen
On 2/24/06, Longman, Bill <[hidden email]> wrote:

> > nevermind, after futher searching it seems that all the 2.6
> > kernels are masked. what a drag....
> >
> >
> > On 2/24/06, Nick Smith <[hidden email]> wrote:
> > > got no response on my other thread, so how about a simple question.
> > > what would i have to do to upgrade to 2.6 from 2.4? is it a
> > matter of
> > > just downloading the vanilla-sources for sparc and going
> > through the
> > > config/compile process? would i have to do something
> > special to get it
> > > to work?
>
> That doesn't mean you can't play with it, though. Just pull it down and
> compile it. It's rather frustrating, but it's good practice, no? Who doesn't
> like compiling kernels on a 166MHz SPARC?
>
> ACCEPT_KEYWORDS="~sparc" emerge -f --oneshot gentoo-sources
>
> should get you the latest 2.6.15-r5. Tweak command line as needed for other
> versions.

I'm having very good success with gentoo-sources-2.6.15-r1. I have it
running on a pair of V210s. The only problem I've had is SMP doesn't
work, which I've been told I can fix by playing with the way RAM is
installed, but I've yet to try that.

If you do decided to give it a spin, you'll need to install udev and a
curent linux-headers.

Mike

--
[hidden email] mailing list

Reply | Threaded
Open this post in threaded view
|

Re: Re: 2.6 kernel

Gustavo Zacarias
In reply to this post by Longman, Bill
Longman, Bill wrote:

> That doesn't mean you can't play with it, though. Just pull it down and
> compile it. It's rather frustrating, but it's good practice, no? Who doesn't
> like compiling kernels on a 166MHz SPARC?
>
> ACCEPT_KEYWORDS="~sparc" emerge -f --oneshot gentoo-sources
>
> should get you the latest 2.6.15-r5. Tweak command line as needed for other
> versions.

Please don't use ACCEPT_KEYWORDS, it's generally bad, you've got
package.keywords (man 5 portage) as a better solution.
That said 2.6 kernels don't work fine in the stability department,
lately it seems only SBUS-based machines are the ones affected.
http://www.gentoo.org/proj/en/base/sparc/sunhw.xml is a work in progress
hardware compatibility list where you can check how things are going on
the 2.6 front.
Of course it's still incomplete and feedback is welcome.
Don't say "excellent stability on X" unless you really did extensive tests.

--
Gustavo Zacarias
Gentoo/SPARC monkey
--
[hidden email] mailing list

Reply | Threaded
Open this post in threaded view
|

RE: Re: 2.6 kernel

Longman, Bill
In reply to this post by Nick Smith-2
> > That doesn't mean you can't play with it, though. Just pull it down
> > and compile it. It's rather frustrating, but it's good
> practice, no?
> > Who doesn't like compiling kernels on a 166MHz SPARC?
> >
> > ACCEPT_KEYWORDS="~sparc" emerge -f --oneshot gentoo-sources
> >
> > should get you the latest 2.6.15-r5. Tweak command line as
> needed for
> > other versions.
>
> Please don't use ACCEPT_KEYWORDS, it's generally bad, you've
> got package.keywords (man 5 portage) as a better solution.
> That said 2.6 kernels don't work fine in the stability
> department, lately it seems only SBUS-based machines are the
> ones affected.
> http://www.gentoo.org/proj/en/base/sparc/sunhw.xml is a work
> in progress hardware compatibility list where you can check
> how things are going on the 2.6 front.
> Of course it's still incomplete and feedback is welcome.
> Don't say "excellent stability on X" unless you really did
> extensive tests.

If you want Portage to actually manage a package, yes, I agree completely,
you should NOT use ACCEPT_KEYWORDS.

If you just want to use portage to grab the files for you (-f --oneshot),
then, heck, just throw in ACCEPT_KEYWORDS. You'll still have to manually
move things around and compile them, so where is the problem?

If he *did* put "~sparc" in his package.keywords file for gentoo-sources,
then he would be, in effect, telling portage that he specifically wants to
be able to use the ~ versions and he accepts the responsibility thereof. And
Portage will then dutifully keep him updated on all new updates to this
package.

How else would you "beta test" a package? I've been using this method for
about two years and I have found it to work well for me. If I really want to
use the package later on, I put it in the correct package.* file and make it
"official".

On a second point, thanks for the above HCL pointer. I'll add notes on my
U30 this weekend.

Bill
--
[hidden email] mailing list

Reply | Threaded
Open this post in threaded view
|

Re: Re: 2.6 kernel

Ferris McCormick
In reply to this post by Mike Owen
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On Fri, 24 Feb 2006, Mike Owen wrote:

> On 2/24/06, Longman, Bill <[hidden email]> wrote:
>>> nevermind, after futher searching it seems that all the 2.6
>>> kernels are masked. what a drag....
>>>
>>>
>>> On 2/24/06, Nick Smith <[hidden email]> wrote:
>>>> got no response on my other thread, so how about a simple question.
>>>> what would i have to do to upgrade to 2.6 from 2.4? is it a
>>> matter of
>>>> just downloading the vanilla-sources for sparc and going
>>> through the
>>>> config/compile process? would i have to do something
>>> special to get it
>>>> to work?
>>
>> That doesn't mean you can't play with it, though. Just pull it down and
>> compile it. It's rather frustrating, but it's good practice, no? Who doesn't
>> like compiling kernels on a 166MHz SPARC?
>>
>> ACCEPT_KEYWORDS="~sparc" emerge -f --oneshot gentoo-sources
>>
>> should get you the latest 2.6.15-r5. Tweak command line as needed for other
>> versions.
>
> I'm having very good success with gentoo-sources-2.6.15-r1. I have it
> running on a pair of V210s. The only problem I've had is SMP doesn't
> work, which I've been told I can fix by playing with the way RAM is
> installed, but I've yet to try that.
>
> If you do decided to give it a spin, you'll need to install udev and a
> curent linux-headers.
>
> Mike
>
> --
> [hidden email] mailing list
>
>

2.6.15-rx runs very well for me on U60, SB1000.  It is just hopless on U2,
though.  NO 2.6 runs on U2 worth a damn.  It is beyond me why the kernel
people don't sit down and fix it.  Yes, I am getting upset about this.  I
am not a kernel guy, and can't help.  But 2.6 DOES NOT WORK on U1/U2.

Now, I've vented.
Regards,
Ferris
- --
Ferris McCormick (P44646, MI) <[hidden email]>
Developer, Gentoo Linux (Devrel, Sparc)
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2.1 (GNU/Linux)

iD8DBQFD/7ghQa6M3+I///cRAhHyAJsEhc9jBqqh+OvNQmfqZFDPOVZJtwCcD8oG
EYqV1wMUzlzR9iJeHZtql9A=
=fEGM
-----END PGP SIGNATURE-----
--
[hidden email] mailing list

Reply | Threaded
Open this post in threaded view
|

Re: Re: 2.6 kernel

Ferris McCormick
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On Sat, 25 Feb 2006, Ferris McCormick wrote:

> --[PinePGP]--------------------------------------------------[begin]--
> On Fri, 24 Feb 2006, Mike Owen wrote:
>
>>  On 2/24/06, Longman, Bill <[hidden email]> wrote:
>> > >  nevermind, after futher searching it seems that all the 2.6
>> > >  kernels are masked. what a drag....
>> > >
>> > >
>> > >  On 2/24/06, Nick Smith <[hidden email]> wrote:
>> > > >  got no response on my other thread, so how about a simple question.
>> > > >  what would i have to do to upgrade to 2.6 from 2.4? is it a
>> > >  matter of
>> > > >  just downloading the vanilla-sources for sparc and going
>> > >  through the
>> > > >  config/compile process? would i have to do something
>> > >  special to get it
>> > > >  to work?
>> >
>> >  That doesn't mean you can't play with it, though. Just pull it down and
>> >  compile it. It's rather frustrating, but it's good practice, no? Who
>> >  doesn't
>> >  like compiling kernels on a 166MHz SPARC?
>> >
>> >  ACCEPT_KEYWORDS="~sparc" emerge -f --oneshot gentoo-sources
>> >
>> >  should get you the latest 2.6.15-r5. Tweak command line as needed for
>> >  other
>> >  versions.
>>
>>  I'm having very good success with gentoo-sources-2.6.15-r1. I have it
>>  running on a pair of V210s. The only problem I've had is SMP doesn't
>>  work, which I've been told I can fix by playing with the way RAM is
>>  installed, but I've yet to try that.
>>
>>  If you do decided to give it a spin, you'll need to install udev and a
>>  curent linux-headers.
>>
>>  Mike
>>
>>  --
>>  [hidden email] mailing list
>>
>>
>
> 2.6.15-rx runs very well for me on U60, SB1000.  It is just hopless on U2,
> though.  NO 2.6 runs on U2 worth a damn.  It is beyond me why the kernel
> people don't sit down and fix it.  Yes, I am getting upset about this.  I
> am not a kernel guy, and can't help.  But 2.6 DOES NOT WORK on U1/U2.
>
> Now, I've vented.
> Regards,
> Ferris
Apologies.  That's too strong.  I'm really upset, and it shows.  The sparc
kernel people are doing a tremendous job, but just can't fix U2.


Sorry,
Ferris

- --
Ferris McCormick (P44646, MI) <[hidden email]>
Developer, Gentoo Linux (Devrel, Sparc)
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2.1 (GNU/Linux)

iD8DBQFD/7n7Qa6M3+I///cRAiJBAJ93cQCjMOM1AVumpbiNuP4e4oCy2ACgwYFM
wTzPJKaYcMQEKuMPO9Up+GY=
=VPys
-----END PGP SIGNATURE-----
--
[hidden email] mailing list

Reply | Threaded
Open this post in threaded view
|

Re: Re: 2.6 kernel

gentuxx
In reply to this post by Ferris McCormick
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Ferris McCormick wrote:

> On Fri, 24 Feb 2006, Mike Owen wrote:
>
> >> On 2/24/06, Longman, Bill <[hidden email]> wrote:
> >>
> >>>> nevermind, after futher searching it seems that all the 2.6
> >>>> kernels are masked. what a drag....
> >>>>
> >>>>
> >>>> On 2/24/06, Nick Smith <[hidden email]> wrote:
> >>>>
> >>>>> got no response on my other thread, so how about a simple
> question.
> >>>>> what would i have to do to upgrade to 2.6 from 2.4? is it a
> >>>>
> >>>> matter of
> >>>>
> >>>>> just downloading the vanilla-sources for sparc and going
> >>>>
> >>>> through the
> >>>>
> >>>>> config/compile process? would i have to do something
> >>>>
> >>>> special to get it
> >>>>
> >>>>> to work?
> >>>
> >>>
> >>> That doesn't mean you can't play with it, though. Just pull it
> down and
> >>> compile it. It's rather frustrating, but it's good practice, no?
> Who doesn't
> >>> like compiling kernels on a 166MHz SPARC?
> >>>
> >>> ACCEPT_KEYWORDS="~sparc" emerge -f --oneshot gentoo-sources
> >>>
> >>> should get you the latest 2.6.15-r5. Tweak command line as
> needed for other
> >>> versions.
> >>
> >>
> >> I'm having very good success with gentoo-sources-2.6.15-r1. I have it
> >> running on a pair of V210s. The only problem I've had is SMP doesn't
> >> work, which I've been told I can fix by playing with the way RAM is
> >> installed, but I've yet to try that.
> >>
> >> If you do decided to give it a spin, you'll need to install udev
> and a
> >> curent linux-headers.
> >>
> >> Mike
> >>
> >> --
> >> [hidden email] mailing list
> >>
> >>
>
> 2.6.15-rx runs very well for me on U60, SB1000. It is just hopless
> on U2, though. NO 2.6 runs on U2 worth a damn. It is beyond me why
> the kernel people don't sit down and fix it. Yes, I am getting
> upset about this. I am not a kernel guy, and can't help. But 2.6
> DOES NOT WORK on U1/U2.
>
> Now, I've vented.
> Regards,
> Ferris
> --
> Ferris McCormick (P44646, MI) <[hidden email]>
> Developer, Gentoo Linux (Devrel, Sparc)

I'm running 2.6.15-r5 on 3 different Ultra1's.  Everything seems to be
going fine.

Linux cf-node001 2.6.15-gentoo-r5 #1 SMP PREEMPT Tue Feb 21 19:42:49
GMT 2006 sparc64 sun4u TI UltraSparc I   (SpitFire) GNU/Linux
Linux cf-node003 2.6.15-gentoo-r5 #2 SMP PREEMPT Fri Feb 17 16:43:46
UTC 2006 sparc64 sun4u TI UltraSparc I   (SpitFire) GNU/Linux
Linux cf-node004 2.6.15-gentoo-r5 #1 SMP PREEMPT Fri Feb 21 18:24:56
UTC 2006 sparc64 sun4u TI UltraSparc I   (SpitFire) GNU/Linux


- --
gentux
echo "hfouvyAdpy/ofu" | perl -pe 's/(.)/chr(ord($1)-1)/ge'

gentux's gpg fingerprint ==> 34CE 2E97 40C7 EF6E EC40  9795 2D81 924A
6996 0993
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2.1 (GNU/Linux)

iD8DBQFEALnbLYGSSmmWCZMRAkxpAKDFT5578iVCYCOlG5mzwwB4GHIVSQCgnrbd
/1AR0b89kLicn+e+KQq3FGA=
=yrwn
-----END PGP SIGNATURE-----

--
[hidden email] mailing list

Reply | Threaded
Open this post in threaded view
|

Re: Re: 2.6 kernel

Nick Smith-2
>
> I'm running 2.6.15-r5 on 3 different Ultra1's.  Everything seems to be
> going fine.
>
> Linux cf-node001 2.6.15-gentoo-r5 #1 SMP PREEMPT Tue Feb 21 19:42:49
> GMT 2006 sparc64 sun4u TI UltraSparc I   (SpitFire) GNU/Linux
> Linux cf-node003 2.6.15-gentoo-r5 #2 SMP PREEMPT Fri Feb 17 16:43:46
> UTC 2006 sparc64 sun4u TI UltraSparc I   (SpitFire) GNU/Linux
> Linux cf-node004 2.6.15-gentoo-r5 #1 SMP PREEMPT Fri Feb 21 18:24:56
> UTC 2006 sparc64 sun4u TI UltraSparc I   (SpitFire) GNU/Linux
>
>
is a U1 have more than one cpu? havent messed with those before.


--

--
[hidden email] mailing list

Reply | Threaded
Open this post in threaded view
|

Re: Re: 2.6 kernel

freshy98
> --- Ursprüngliche Nachricht ---
> Von: "Nick Smith" <[hidden email]>
> An: [hidden email]
> Betreff: Re: [gentoo-sparc] Re: 2.6 kernel
> Datum: Mon, 27 Feb 2006 17:22:31 -0500
>
> >
> > I'm running 2.6.15-r5 on 3 different Ultra1's.  Everything seems to be
> > going fine.
> >
> > Linux cf-node001 2.6.15-gentoo-r5 #1 SMP PREEMPT Tue Feb 21 19:42:49
> > GMT 2006 sparc64 sun4u TI UltraSparc I   (SpitFire) GNU/Linux
> > Linux cf-node003 2.6.15-gentoo-r5 #2 SMP PREEMPT Fri Feb 17 16:43:46
> > UTC 2006 sparc64 sun4u TI UltraSparc I   (SpitFire) GNU/Linux
> > Linux cf-node004 2.6.15-gentoo-r5 #1 SMP PREEMPT Fri Feb 21 18:24:56
> > UTC 2006 sparc64 sun4u TI UltraSparc I   (SpitFire) GNU/Linux
> >
> >
> is a U1 have more than one cpu? havent messed with those before.
>
>
The U1 is a single processor machine.

--
10 GB Mailbox, 100 FreeSMS/Monat http://www.gmx.net/de/go/topmail
+++ GMX - die erste Adresse für Mail, Message, More +++
--
[hidden email] mailing list

Reply | Threaded
Open this post in threaded view
|

Re: Re: 2.6 kernel

Nick Smith-2
thats why he isnt having problems ;-)

On 2/28/06, Tom Weustink <[hidden email]> wrote:

> > --- Ursprüngliche Nachricht ---
> > Von: "Nick Smith" <[hidden email]>
> > An: [hidden email]
> > Betreff: Re: [gentoo-sparc] Re: 2.6 kernel
> > Datum: Mon, 27 Feb 2006 17:22:31 -0500
> >
> > >
> > > I'm running 2.6.15-r5 on 3 different Ultra1's.  Everything seems to be
> > > going fine.
> > >
> > > Linux cf-node001 2.6.15-gentoo-r5 #1 SMP PREEMPT Tue Feb 21 19:42:49
> > > GMT 2006 sparc64 sun4u TI UltraSparc I   (SpitFire) GNU/Linux
> > > Linux cf-node003 2.6.15-gentoo-r5 #2 SMP PREEMPT Fri Feb 17 16:43:46
> > > UTC 2006 sparc64 sun4u TI UltraSparc I   (SpitFire) GNU/Linux
> > > Linux cf-node004 2.6.15-gentoo-r5 #1 SMP PREEMPT Fri Feb 21 18:24:56
> > > UTC 2006 sparc64 sun4u TI UltraSparc I   (SpitFire) GNU/Linux
> > >
> > >
> > is a U1 have more than one cpu? havent messed with those before.
> >
> >
> The U1 is a single processor machine.
>
> --
> 10 GB Mailbox, 100 FreeSMS/Monat http://www.gmx.net/de/go/topmail
> +++ GMX - die erste Adresse für Mail, Message, More +++
> --
> [hidden email] mailing list
>
>


--
Linux, because I'd rather own a free OS than steal one that's not
worth paying for.

--
[hidden email] mailing list